<?php
/*
 * edublue theme functions and definitions
 * 
 */
    // bring in scripts for theme slider specific options
    include_once (get_template_directory() . '/include/theme-slider.php');

function edublue_setup() {
        global $content_width;
	/* Set the $content_width for things such as video embeds. */
	if ( !isset( $content_width ) )
            $content_width = 720;

    // custom editor style support
    add_editor_style( 'editor-style.css' );
    
    // This theme uses Featured Images (also known as post thumbnails)
    add_theme_support('post-thumbnails'); 
    //set_post_thumbnail_size( 150, 150 );

    // Add default posts and comments RSS feed links to head
    add_theme_support('automatic-feed-links');

    // language support - add your translation
    load_theme_textdomain('edublue', get_template_directory() . '/languages');

    // This theme uses wp_nav_menu in one location.
    register_nav_menus(array(
        'primary' => __('Primary Navigation | middle bar in header', 'edublue'),
        'secondary' => __('Secondary Top Navigation | above header', 'edublue'),
        'tertiary' => __('Secondary Smaller Navigation | below primary', 'edublue')
        ));  

   
    //customer header image banner support 
     
    add_theme_support( 'custom-header' );
        $defaults = array(
    
	'default-image'          => get_template_directory_uri() . '/images/default-header.png',
	'random-default'         => false,
 	'width'                  => 310,
	'height'                 => 90,
	'flex-height'            => false,
 	'flex-width'             => false,
        'repeat'                 => 'no-repeat',
	'header-text'            => false,
	'uploads'                => true,
        'wp-head-callback'       => '',
	'admin-head-callback'    => '',
	'admin-preview-callback' => ''   
    );
    add_theme_support( 'custom-header', $defaults );

    // Add theme support for Custom Background
    add_theme_support( 'custom-background', array(
        'default-image' => get_stylesheet_directory_uri() . '/images/background.png',
        'default-color' => '1722a0',
    )); 
}
add_action('after_setup_theme', 'edublue_setup');

function edublue_add_theme_scripts() {    
   
    // Loads default main stylesheet.
    wp_enqueue_style( 'style', get_stylesheet_uri() ); 
     /*
      * Adds JavaScript to pages with the comment form to support
      * sites with threaded comments (when in use).
      */
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
	wp_enqueue_script( 'comment-reply' );  
}
    add_action( 'wp_enqueue_scripts', 'edublue_add_theme_scripts' );

    // add ie conditional html5 shim to header
function edublue_add_ie_html5_shim () {
    echo '<!--[if lt IE 9]>';
    echo '<script src="js/html5.js"></script>';
    echo '<![endif]-->';
}
    add_action('wp_head', 'edublue_add_ie_html5_shim');

    // font imported as external uri
    add_action( 'edublu_meta', 'wpb_add_google_fonts', 5);
    function edublu_add_google_fonts() {
    echo "<link href='http://fonts.googleapis.com/css?family=Oxygen:400,300,700' rel='stylesheet' type='text/css'>";
    } 
 
function edublue_widgets_init() {
  register_sidebar(array(
            'name' => __('Primary Right Side', 'edublue'),
            'id' => 'sidebar-1',
            'description' => __('The right-side widget area', 'edublue'),
            'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        ));

        register_sidebar(array(
            'name' => __('First Footer Widget Area', 'edublue'),
            'id' => 'first-footer-widget-area',
            'description' => __('The first footer widget area', 'tswclear'),
            'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
            'after_widget' => '</li>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        ));
        register_sidebar(array(
            'name' => __('Second Footer Widget Area', 'edublue'),
            'id' => 'second-footer-widget-area',
            'description' => __('The second footer widget area', 'tswclear'),
            'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
            'after_widget' => '</li>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        ));
        register_sidebar(array(
            'name' => __('Third Footer Widget Area', 'edublue'),
            'id' => 'third-footer-widget-area',
            'description' => __('The third footer widget area', 'tswclear'),
            'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
            'after_widget' => '</li>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        ));
        register_sidebar(array(
            'name' => __('Fourth Footer Widget Area', 'edublue'),
            'id' => 'fourth-footer-widget-area',
            'description' => __('The fourth footer widget area', 'tswclear'),
            'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
            'after_widget' => '</li>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        ));
}
    // custom footer feature to replace credits
    add_action( 'widgets_init', 'edublue_widgets_init' );
function edublue_footer_credits() {
    $author_url = "http://tradesouthwest.com/";
    echo '<p><a href="'. esc_url($author_url) .'"><small>Theme EduBlue by Tradesouthwest</small></a></p>';
    
}
add_action( 'edublue_footer_credits', 'edublue_footer_credits' );
   // add theme options page last to pull stylesheets to load after main stylesheet
    include_once (get_template_directory() . '/include/theme-options.php');
?>