<?php
/*
 * theme custom options
 *
 * @edublue
 * @since edublue v. 1.0.3
 *
 * Admin Options for 'Theme edublue' change stylesheet and footer text
 * File Name: theme-options.php
 */

function edublue_options_add_page() {
    add_theme_page( 'Theme Options', 'Theme Setup', 'edit_theme_options', 'edublue-options', 'edublue_options_page' );
}   add_action( 'admin_menu', 'edublue_options_add_page' ); 
// connect stylesheet to options page
function edublue_options_admin_init() {
    wp_enqueue_style( 'edublue-admin-style', get_template_directory_uri() . '/include/admin-style.css', false, '1.1' );
}   add_action( 'admin_enqueue_scripts', 'edublue_options_admin_init' );
// register to wp
function edublue_register_settings() {
    register_setting( 'edublue-options', 'edublue_theme_options', 'edublue_validate_options');
}   add_action( 'admin_init', 'edublue_register_settings' );

    // define varibles
$edublue_theme_options = array(
    'stylesheet'  => '',
    'default-css' => 'default-css',
    'auburn-css'  => 'auburn-css',
    'black-css'   => 'black-css',
    'blue-css'    => 'blue-css',
    'brown-css'   => 'brown-css',
    'crimson-css' => 'crimson-css',
    'green-css'   => 'green-css',
    'red-css'     => 'red-css',
    'sun-css'     => 'sun-css',
    'your-custom-css' => 'your-custom-css',
    'edublue_credits'  => '',
    'edublue_new_text' => '',
    'checked' => ''
);

function edublue_options_page() {
   global $edublue_theme_options;
?>
<div id="wrap">
    <section id="edublue-options-container">
        <header>
        <h1> Options Page </h1> 
        <?php if( isset($_GET['settings-updated']) && $_GET['settings-updated'] == true) : ?>
	        <div class="updated below-h1">
		        <p>Settings saved!</p>
	        </div>
        <?php endif;?>
        <h2>Edublue Theme Options Settings</h2>
            <p>Theme schema and footer credits options.</p><hr>
        </header>
            <form action="options.php" method="POST"><fieldset><legend>Change Theme Color Style</legend>
            <?php settings_fields( 'edublue-options' ); ?>
            <?php // do_settings_sections( 'edublue_theme_settings' ); 
                  $options = get_option( 'edublue_theme_options', $edublue_theme_options );
            ?>
            <p><label>Available Color Schemes</label></p>
            <p class="select-options-box">
<select name="edublue_theme_options[stylesheet]" class="select-options-dropdown">
<option value="default-css" <?php if ( $options['stylesheet'] == 'blue-css' ) echo 'selected="selected"'; ?>>DEFAULT - blue</option> 
<option value="auburn-css"  <?php if ( $options['stylesheet'] == 'auburn-css' )  echo 'selected="selected"'; ?>>AUBURN</option> 
<option value="black-css"   <?php if ( $options['stylesheet'] == 'black-css' )   echo 'selected="selected"'; ?>>BLACK</option> 
<option value="brown-css"   <?php if ( $options['stylesheet'] == 'brown-css' )   echo 'selected="selected"'; ?>>BROWN</option>
<option value="crimson-css" <?php if ( $options['stylesheet'] == 'crimson-css' ) echo 'selected="selected"'; ?>>CRIMSON</option>  
<option value="green-css"   <?php if ( $options['stylesheet'] == 'green-css' )   echo 'selected="selected"'; ?>>GREEN</option>
<option value="red-css"     <?php if ( $options['stylesheet'] == 'red-css' )     echo 'selected="selected"'; ?>>RED</option>  
<option value="sun-css"     <?php if ( $options['stylesheet'] == 'sun-css' )     echo 'selected="selected"'; ?>>SUN</option>
<option value="your-custom-css" <?php if ( $options['stylesheet'] == 'your-custom-css' ) echo 'selected="selected"'; ?>>YOUR CUSTOM THEME - Edit custom stylesheet </option>
            </select></p>
<?php // if (!empty($options_selected['stylesheet'])) echo $options_selected['stylesheet']; ?>
<p>You must upload your logo from "Appearance/Header" <small>Copyright laws prevent inclusion</small></p>
</fieldset>
<hr>  
<?php  if ( !empty( $options['edublue_credits'] )) {
             $checked = $options['edublue_credits'];
             $current = "checked = checked"; } else { $current = ""; }
      ?>
        <fieldset><legend>Footer Credits Options</legend>
            <p><label>Check to remove credits from theme:  </label>
            <input name="edublue_theme_options[edublue_credits]" id="edublue_credits" type="checkbox" value="1"
             <?php echo $current; ?> 
            <?php checked($checked, $current); ?> /></p>
            <h4>And then you may replace the footer credit with your own text here: </h4>
<input id="edublue_new_text" name="edublue_theme_options[edublue_new_text]" size="65" type="text" value="<?php if (!empty($options['edublue_new_text'])) echo $options['edublue_new_text']; ?>" />
            <p class="inline">The HTML Number for Copyright is: <code> &#38;copy&#59; </code></p>
        </fieldset> 

                    <?php // submit options
                    submit_button(); 
                    ?></form>
    </section> 
        <hr>
            <section id="edublue-options-container">
<h1>More Options</h1><h2>To order a custom color scheme for your organization or school:</h2>
<p>Submit colors and school/organization name plus any custom usage of color to:</p>
<p> <a href="http://tradesouthwest.com/themeopt.php" target="_blank" title="opens in new window"> Tradesouthwest Theme Options </a><br><span> 1 to 3 days. Minimal charge requested.</span> (Copyright regulations prohibit logo inclusion)</p><p>Support/Email: <a href="mailto:larry@tradesouthwest.com">themes@tradesouthwest.com</a></p>
<hr>
                <h1>Please Read</h1><h2>Concerning edublue Menus Configuration</h2><p>Notes as to arrangement of menu content</p>
                    <h3>Top Bar Above Header</h3>
                    <p>This top menu ONLY supports inline single block menu navigation. No drop down support to this menu. <br><span>Suggested use: Home, About, Contact, Shopping Cart....</span></p>
                <h3>Middle Primary Menu in Header</h3>
                    <p>This navigation menu supports up to three-stair-case levels of drop down lists. CSS navigation formatted. <br><span>Suggested use: All general navigation of your Website.</span></p>
                <h3>Tertiary Third Menu Below Primary</h3>
                    <p>This menu is a static listing menu. Use with discretion as to how far down the menu extends, to avoid overflow into the content area. <br><span>Suggested use: Courses and Campus categories or secondary navigation to the primary menu.</span></p>
<hr>
            </section>
</div>
<?php
}	

function edublue_validate_options( $input ) {
    $valid_options = array( 'default-css', 'auburn-css', 'black-css', 'blue-css', 'brown-css', 'crimson-css', 'green-css', 'red-css', 'sun-css', 'your-custom-css', 1, 0, true, false, '', 'checked', 'stylesheet' );
        if( in_array($input['stylesheet'] || $input['edublue_credits'] || $input['checked'], $valid_options) )
            return $input;
        else
            return false;

$options['edublue_new_text'] = trim($input['edublue_new_text']);
if(!preg_match('/^[a-z0-9]{32}$/i', $options['edublue_new_text'])) {
$options['edublue_new_text'] = '';
}
return $options;
}

function edublue_add_theme_options_scripts() {
	$stylesheet = get_option( 'edublue_theme_options' );
    wp_enqueue_style( $stylesheet['stylesheet'], get_template_directory_uri() . '/css/' . $stylesheet['stylesheet'] . '.css' );   
}
    add_action( 'wp_enqueue_scripts', 'edublue_add_theme_options_scripts' );