<?php
/*
 * theme custom slider
 *
 * @edublue
 * @since edublue v. 1.0.1
 *
 * Admin Slider for 'Theme edublue' change stylesheet and footer text
 * File Name: theme-slider.php
 */
function edublue_slider_options_add_page() {
    add_theme_page( __( 'Theme Options', 'edublue' ), __( 'Theme Slideshow', 'edublue' ), 'edit_theme_options', 'slider-options', 'edublue_slider_page' );
}   
add_action( 'admin_menu', 'edublue_slider_options_add_page' ); 

    // connect stylesheet to options page
function edublue_slider_admin_init() {
    wp_enqueue_style( 'edublue-admin-slider-style', get_template_directory_uri() . '/include/admin-style-slider.css', false, '1.1' );
}   
add_action( 'admin_enqueue_scripts', 'edublue_slider_admin_init' );

    // register to wp
function edublue_slider_register_settings() {
    register_setting( 'edublue-slider', 'edublue_theme_slider', 'edublue_validate_slider');
}   
add_action( 'admin_init', 'edublue_slider_register_settings' );

    // define varibles
$edublue_theme_slider = array(
    'edublue_image_url'     => '',
        'edublue_image_urlb'    => '',
            'edublue_image_urlc'    => '',
                'edublue_image_urld'    => '',
    'edublue_image_post'    => '',
        'edublue_image_postb'    => '',
            'edublue_image_postc'    => '',
                'edublue_image_postd'    => '',
    'edublue_image_meta'    => '',
        'edublue_image_metab'    => '',
            'edublue_image_metac'    => '',
                'edublue_image_metad'    => '',
    'edublue_image_caption' => '',
        'edublue_image_captionb' => '',
            'edublue_image_captionc' => '',
                'edublue_image_captiond' => '',
    'edublue_speed'   => '',
    'edublue-slow'    => '',
    'edublue-fast'    => '',
    'edublue-default' => '',
    'edublue-none'    => ''
);

function edublue_slider_page() {
   global $edublue_theme_slider;
?>
<div id="wrap">
    <section id="edublue-slide-container">
        <header>
            <h1><?php _e( 'SlideShow Settings', 'edublue' ); ?></h1> 
            <?php if( isset($_GET['settings-updated']) && $_GET['settings-updated'] == true) : ?>
	        <div class="updated below-h1">
		        <p>Settings saved!</p>
	        </div>
            <?php endif;?>
                    <hr>
        </header>
        <h2><?php _e( 'Slideshow Options', 'edublue' ); ?></h2>
        <form name="uploadfile" id="uploadfile_form" method="POST" action="options.php" accept-charset="utf-8" >
<?php
settings_fields( 'edublue-slider' );
// do_settings_sections( 'edublue-slider-sections' ); 
?> 
    <p><?php _e( 'Image path and Caption text for Slideshow image - Enter URL for Image and Image Caption then SAVE! before getting next slide', 'edublue' ); ?></p>
<?php global $edublue_theme_slider; 
$options = get_option('edublue_theme_slider', $edublue_theme_slider); 
?>
    <!-- // 1 - Paste file url from Media page -->
    <fieldset><legend> I </legend> 
    <label><?php _e( 'URL of Image', 'edublue' ); ?></label>
    <p><input id="edublue_image_url" type="text" name="edublue_theme_slider[edublue_image_url]" value="<?php if(!empty($options['edublue_image_url'])) echo $options['edublue_image_url']; ?>" placeholder="you may enter an external url as well" /></p>
    <!-- // If is attachment give an id to post attachment - future implementation -->
    <input id="edublue_image_post" type="hidden" name="edublue_theme_slider[edublue_image_post]" value="01" />
    <!-- Give image a Caption to display -->
    <p><label><?php _e( 'Image Caption', 'edublue' ); ?></label>
    <input id="edublue_image_caption" type="text" name="edublue_theme_slider[edublue_image_caption]" value="<?php if(!empty($options['edublue_image_caption'])) echo $options['edublue_image_caption']; ?>" placeholder="Text to display above image" /></p>
    </fieldset>

    <!-- // 2 -->
    <fieldset><legend> II </legend>
    <p><label><?php _e( 'URL of Image', 'edublue' ); ?></label>
    <input id="edublue_image_urlb" type="text" name="edublue_theme_slider[edublue_image_urlb]" value="<?php if(!empty($options['edublue_image_urlb'])) echo $options['edublue_image_urlb']; ?>" placeholder="you may enter an external url as well" /></p>
    <input id="edublue_image_postb" type="hidden" name="edublue_theme_slider[edublue_image_postb]" value="02" />
    <p><label><?php _e( 'Image Caption', 'edublue' ); ?></label>
    <input id="edublue_image_captionb" type="text" name="edublue_theme_slider[edublue_image_captionb]" value="<?php if(!empty($options['edublue_image_captionb'])) echo $options['edublue_image_captionb']; ?>" placeholder="Text to display above image" /></p>
    </fieldset>

    <!-- // 3 -->
    <fieldset><legend> III </legend>
    <p><label><?php _e( 'URL of Image', 'edublue' ); ?></label>
    <input id="edublue_image_urlc" type="text" name="edublue_theme_slider[edublue_image_urlc]" value="<?php if(!empty($options['edublue_image_urlc'])) echo $options['edublue_image_urlc']; ?>" placeholder="you may enter an external url as well" /></p>
    <input id="edublue_image_postc" type="hidden" name="edublue_theme_slider[edublue_image_postc]" value="03" />
    <p><label><?php _e( 'Image Caption', 'edublue' ); ?></label>
    <input id="edublue_image_captionc" type="text" name="edublue_theme_slider[edublue_image_captionc]" value="<?php if(!empty ($options['edublue_image_captionc'])) echo $options['edublue_image_captionc']; ?>" placeholder="Text to display above image" /></p>
    </fieldset>
        
    <!-- 4 -->           
    <fieldset><legend> IV </legend>
    <p><label><?php _e( 'URL of Image', 'edublue' ); ?></label>
    <input id="edublue_image_urld" type="text" name="edublue_theme_slider[edublue_image_urld]" value="<?php if(!empty($options['edublue_image_urld'])) echo $options['edublue_image_urld']; ?>" placeholder="you may enter an external url as well" /></p>
    <input id="edublue_image_postd" type="hidden" name="edublue_theme_slider[edublue_image_postd]" value="04" />
    <p><label><?php _e( 'Image Caption', 'edublue' ); ?></label>
    <input id="edublue_image_captiond" type="text" name="edublue_theme_slider[edublue_image_captiond]" value="<?php if(!empty($options['edublue_image_captiond'])) echo $options['edublue_image_captiond']; ?>" placeholder="Text to display above image" /></p>
    </fieldset>

            <hr>
                        
                    <!-- // Options for Slideshow frame speed // -->
                        <fieldset><legend><?php _e( 'Change Theme Slider Speed - OR - Remove Slider Completely', 'edublue' ); ?></legend>
                        <p><label><?php _e( 'Image Frame Speed Options', 'edublue' ); ?></label></p>
                        <p class="select-options-box">
                        <select name="edublue_theme_slider[edublue_speed]" style="width: 100px;">
                        <?php global $edublue_theme_slider;
                              $options = get_option('edublue_theme_slider', $edublue_theme_slider ); ?>
<option value="edublue-slow"    <?php if ($options['edublue_speed'] == 'edublue-slow' ) 
    echo 'selected="selected"'; ?>> SLOW 9 secs.</option> 
<option value="edublue-fast"  <?php if ($options['edublue_speed'] == 'edublue-fast' )
    echo 'selected="selected"'; ?>> FAST - 3 secs.</option> 
<option value="edublue-default"    <?php if ($options['edublue_speed'] == 'edublue-default' ) 
    echo 'selected="selected"'; ?>> DEFAULT - 6 secs.</option> 
<option value="edublue-none"    <?php if ($options['edublue_speed'] == 'edublue-none' ) 
    echo 'selected="selected"'; ?>> NONE - Removes Slider </option> 
                        </select></p>
                        <p><label><?php _e( 'Current Speed is: ', 'edublue' ); ?></label>
<?php if (!empty($options['edublue_speed'])) echo $options['edublue_speed']; ?></p>
                        </fieldset>

                    <?php // submit slider
                    submit_button(); 
                    ?></form>
                </section>
                
        <section id="edublue-slide-container">
            <!-- Instructions for Slideshow image entry -->
            <fieldset class="edublue-instruct"><legend>Instructions for Adding Images</legend>
<p>1. <span> Go to "Media" and Upload a new image or select your image from the "Media Library".</span> 2. <span> Swipe URL with mouse and Copy URL from Attachment Details. <em>Ctrl-C or right-click after swipe</em></span></p>
    <p><img src="<?php echo get_template_directory_uri() . '/images/snapshot1.png'; ?>" /> 
<img src="<?php  echo get_template_directory_uri() . '/images/snapshot2.png'; ?>" /></p>
<p>3. <span class="edublue-notes"> Paste that URL into <i>URL of Image</i> field. <em>Ctrl-V or right click, to paste</em></span></p>
<p>4. <span class="edublue-notes">  Enter your caption text and save; Repeat for each new image. <b>There must be 4 images.</b></span></p>
<h4>IMPORTANT: Every new image or caption must be saved, in sets! - Save image (and, or caption) then move on to the next set. <br><span>You can not toggle back-and-forth between the Media Library and this options page without saving your work first.</span></h4>
<p> <em>TSW EduBlue =|= http://tradesouthwest.com | USA</em> </p>

            </fieldset>
                <hr>
        </section>
</div>


<?php
}   // end display page content

    // validate inputs
add_filter( 'edublue_validate_slider', 'validate_image_url' );
function validate_image_url( $urltext ) {
    return wp_filter_nohtml_kses( $urltext );
}
function edublue_validate_slider( $input ) {
  foreach( $input as $key => $value ) {
        $input[$key] = apply_filters( 'validate_image_url' . $key, $value );
            return $input;
        }
        $valid_slider_speed = array( 'edublue-slow', 'edublue-fast', 'edublue-none', 'edublue-default', 'edublue_speed', 1, 0, true, false );
        if( in_array($inputspeed['edublue_speed'], $valid_slider_speed) )
            return $inputspeed;
        else
            return false;
}
    /**
     * call in stylesheet for theme option slider - after theme stylesheet
     */
function edublue_add_theme_slider_styles() {
    global $edublue_theme_slider;
	$options = get_option('edublue_theme_slider', $edublue_theme_slider );
    wp_enqueue_style( $options['edublue_speed'], get_template_directory_uri() . '/css/' . $options['edublue_speed'] . '.css', false, '1.1' );   
}     add_action( 'wp_enqueue_scripts', 'edublue_add_theme_slider_styles' );
?>